/*
 *	Title:		o3find
 *	Version:	0.8.1
 *	Created by:	Paolo Copello
 *	Home page:	http://web.tiscali.it/fanelia
 *	
 *	Copyright (C) 2003-2005 Paolo Copello
 *	
 *	******************************************
 *	This file is part of o3find
 *	******************************************
 *	
 *	o3find is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	any later version.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *	
 */

#include "stdafx.h"



// suppress "truncated debug info" warnings (VC++ specific)
#ifdef _MSC_VER
#pragma warning (disable: 4786)
#pragma warning (disable: 4788)
#endif // _MSC_VER



#include "o3find_mfc_class.h"

namespace Fanel
{

OoFinderMFC::OoFinderMFC(bool bCaseSensitive, bool bShowErrors, bool bShowNotFound, bool bBriefMode,
				SEARCH_IN search_in, bool bReadAlreadyOpenFile,
				bool bIgnoreStyle)
			: OoFinder(bCaseSensitive, bShowErrors, bShowNotFound, bBriefMode, search_in, 
			bReadAlreadyOpenFile, bIgnoreStyle)
{
}

OoFinderMFC::~OoFinderMFC()
{
}



void OoFinderMFC::Clear()
{
	_results.clear();
}

/** Stop search. Can be used by multithreaded applications. */
//void OoFinderMFC::Stop()
//{
//	_bRunning = false;
//}


void OoFinderMFC::ReportFound(const string& sFile, const string& sLine)
{
	_results.push_back( sFile );

/*	if(_bBriefMode)
		_results.push_back( sFile );
	else
		_results.push_back( sFile + ":" + sLine );*/
}

void OoFinderMFC::ReportError(const string& sFile, const string& sMessage)
{
//	_results.push_back( "-Error:" + sFile + ":" + sMessage);
}

void OoFinderMFC::ReportNotFound(const string& sFile)
{
//	_results.push_back( "-Search string not found in file:" + sFile);
}


} // end namespace Fanel
